Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.report.engine
Class ValueReplacer

    java.lang.Object
      org.apache.jmeter.report.engine.ValueReplacer

public class ValueReplacer
extends Object

Constructor Summary
`ValueReplacer()`
`ValueReplacer(ReportPlan tp)`

Method Summary
`void` | `addVariable(String name, String value)`
`void` | `addVariables(Map vars)` Add all the given variables to this replacer's variables map.
`void` | `replaceValues(TestElement el)`
`void` | `reverseReplace(TestElement el)`
`void` | `reverseReplace(TestElement el, boolean regexMatch)`
`void` | `setUserDefinedVariables(Map variables)`
`void` | `undoReverseReplace(TestElement el)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueReplacer

    public ValueReplacer()

### ValueReplacer

    public ValueReplacer(ReportPlan tp)

Method Detail

### setUserDefinedVariables

    public void setUserDefinedVariables(Map variables)

### replaceValues

    public void replaceValues(TestElement el)
                       throws InvalidVariableException

  Throws:
    `InvalidVariableException` - not thrown currently

### reverseReplace

    public void reverseReplace(TestElement el)
                        throws InvalidVariableException

  Throws:
    `InvalidVariableException` - not thrown currently

### reverseReplace

    public void reverseReplace(TestElement el,
                               boolean regexMatch)
                        throws InvalidVariableException

  Throws:
    `InvalidVariableException` - not thrown currently

### undoReverseReplace

    public void undoReverseReplace(TestElement el)
                            throws InvalidVariableException

  Throws:
    `InvalidVariableException` - not thrown currently

### addVariable

    public void addVariable(String name,
                            String value)

### addVariables

    public void addVariables(Map vars)

  Add all the given variables to this replacer's variables map.

  Parameters:
    `vars` - A map of variable name-value pairs (String-to-String).

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.